SystemOrganization addCategory: #'JQuery-Tests-Core-Unit'!
SystemOrganization addCategory: #'JQuery-Tests-Core-Functional'!

JSObjectTest subclass: #JQueryTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

JQueryTest subclass: #JQAjaxTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:04'!
ajax
	^ self jQuery ajax! !

!JQAjaxTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 21:47'!
ajaxSetup
	^ self jQuery ajaxSetup! !

!JQAjaxTest methodsFor: 'testing-parameters' stamp: 'lr 10/15/2008 20:18'!
testAddParameter
	self 
		assert: (self ajax addParameter: 'foo')
		equals: self function , '.ajax({data:{foo:null}})'! !

!JQAjaxTest methodsFor: 'testing-parameters' stamp: 'lr 10/15/2008 20:18'!
testAddParameterValue
	self 
		assert: (self ajax addParameter: 'foo' value: true)
		equals: self function , '.ajax({data:{foo:true}})'! !

!JQAjaxTest methodsFor: 'testing' stamp: 'lr 10/15/2008 21:46'!
testAjax
	self 
		assert: self ajax
		equals: self function , '.ajax()'! !

!JQAjaxTest methodsFor: 'testing' stamp: 'lr 10/15/2008 21:46'!
testAjaxSetup
	self 
		assert: self ajaxSetup
		equals: self function , '.ajaxSetup()'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 20:19'!
testAsync
	self
		assert: (self ajax async: true)
		equals: self function , '.ajax({async:true})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:46'!
testCache
	self
		assert: (self ajax cache: false)
		equals: self function , '.ajax({cache:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/15/2008 20:13'!
testCallback
	self 
		assert: (self ajax callback: [ ])
		equals: self function , '.ajax({url:"http://www.seaside.st/",data:{"_s":"123","_k":"abc","1":null}})'.! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/15/2008 20:16'!
testCallbackValue
	self 
		assert: (self ajax callback: [ ] value: (self jQuery this hasClass: 'foo'))
		equals: self function , '.ajax({url:"http://www.seaside.st/",data:{"_s":"123","_k":"abc","1":' , self function , '(this).hasClass("foo")}})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:46'!
testContentType
	self
		assert: (self ajax contentType: 'text/html')
		equals: self function , '.ajax({contentType:"text/html"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 20:23'!
testData
	self
		assert: (self ajax data: (Array with: 'foo' with: 'bar'))
		equals: self function , '.ajax({data:["foo","bar"]})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:44'!
testDataFilter
	self
		assert: (self ajax dataFilter: (self javascript alert: 'Hello'))
		equals: self function , '.ajax({dataFilter:function(){return alert("Hello")}})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:37'!
testDataType
	self
		assert: (self ajax dataType: 'xml')
		equals: self function , '.ajax({dataType:"xml"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:38'!
testGlobal
	self
		assert: (self ajax global: false)
		equals: self function , '.ajax({global:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/15/2008 20:13'!
testHtml
	self 
		assert: (self ajax html: [ :html | html div ])
		equals: self function , '.ajax({dataType:"html",url:"http://www.seaside.st/",data:{"_s":"123","_k":"abc","1":null}})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:46'!
testIfModified
	self
		assert: (self ajax ifModified: false)
		equals: self function , '.ajax({ifModified:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/15/2008 20:13'!
testMultiple
	self 
		assert: (self ajax
			callback: [ :value | ] value: $a; 
			callback: [ :value | ] value: $b;
			callback: [ ])
		equals: self function , '.ajax({url:"http://www.seaside.st/",data:{"_s":"123","_k":"abc","1":"a","2":"b","3":null}})'.! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:39'!
testPassword
	self
		assert: (self ajax password: 'topsecret')
		equals: self function , '.ajax({password:"topsecret"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:40'!
testProcessData
	self
		assert: (self ajax processData: false)
		equals: self function , '.ajax({processData:false})'! !

!JQAjaxTest methodsFor: 'testing-callbacks' stamp: 'lr 10/15/2008 20:13'!
testScript
	self 
		assert: (self ajax script: [ :script | script alert: 'Hello' ])
		equals: self function , '.ajax({dataType:"script",url:"http://www.seaside.st/",data:{"_s":"123","_k":"abc","1":null}})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:40'!
testScriptCharset
	self
		assert: (self ajax scriptCharset: 'utf-8')
		equals: self function , '.ajax({scriptCharset:"utf-8"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:41'!
testTimeout
	self
		assert: (self ajax timeout: 1200)
		equals: self function , '.ajax({timeout:1200})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:41'!
testType
	self
		assert: (self ajax type: 'post')
		equals: self function , '.ajax({type:"POST"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:42'!
testUrl
	self
		assert: (self ajax url: 'http://www.seaside.st/')
		equals: self function , '.ajax({url:"http://www.seaside.st/"})'.
	self
		assert: (self ajax url: (WAUrl absolute: 'http://www.seaside.st/'))
		equals: self function , '.ajax({url:"http://www.seaside.st/"})'! !

!JQAjaxTest methodsFor: 'testing-options' stamp: 'lr 10/15/2008 21:39'!
testUsername
	self
		assert: (self ajax username: 'seaside')
		equals: self function , '.ajax({username:"seaside"})'! !

JQueryTest subclass: #JQueryClassTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryClassTest methodsFor: 'testing' stamp: 'lr 10/15/2008 16:52'!
testClass
	self
		assert: self jQuery
		equals: self function! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/15/2008 21:49'!
testExpression
	self
		assert: (self jQuery expression: '#foo')
		equals: self function , '("#foo")'.
	self
		assert: (self jQuery expression: 'div > p')
		equals: self function , '("div > p")'.
	self
		assert: (self jQuery expression: 'ul li.active')
		equals: self function , '("ul li.active")'
! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/15/2008 17:00'!
testExpressionContext
	self
		assert: (self jQuery expression: '#foo' context: 123)
		equals: self function , '("#foo",123)'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/15/2008 21:48'!
testHtml
	self
		assert: (self jQuery html: [ :html | html div: 'foo' ])
		equals: self function , '("<div>foo</div>")'.
	self
		assert: (self jQuery html: [ :html | html div title: 'foo'; with: 'bar' ])
		equals: self function , '("<div title=\"foo\">bar</div>")'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/15/2008 21:49'!
testReady
	self
		assert: (self jQuery ready: (self javascript alert: 'Hello'))
		equals: self function , '(function(){alert("Hello")})'! !

!JQueryClassTest methodsFor: 'testing-creation' stamp: 'lr 10/15/2008 16:52'!
testThis
	self
		assert: self jQuery this
		equals: self function , '(this)'! !

JQueryTest subclass: #JQueryInstanceTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Unit'!

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:08'!
testAdd
	self
		assert: (self jQuery @ 'div' add: 'p')
		equals: self function , '("div").add("p")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/15/2008 17:07'!
testAddClass
	self
		assert: (self jQuery @ 'p:last' addClass: 'selected')
		equals: self function , '("p:last").addClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 17:10'!
testAfter
	self
		assert: (self jQuery @ 'p' after: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").after("<strong>Hello</strong>")'.
	self
		assert: (self jQuery @ 'span' insertAfter: '#foo')
		equals: self function , '("span").insertAfter("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-chaining' stamp: 'lr 10/15/2008 17:06'!
testAndSelf
	self
		assert: (self jQuery @ 'div' find: 'p'; andSelf; addClass: 'border')
		equals: self function , '("div").find("p").andSelf().addClass("border")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 17:13'!
testAppend
	self
		assert: (self jQuery @ 'p' append: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").append("<strong>Hello</strong>")'.
	self
		assert: (self jQuery @ 'span' appendTo: '#foo')
		equals: self function , '("span").appendTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/15/2008 17:06'!
testAttributeAt
	self
		assert: (self jQuery @ 'em' attributeAt: 'title')
		equals: self function , '("em").attr("title")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/15/2008 17:06'!
testAttributeAtPut
	self
		assert: (self jQuery @ 'button:gt(1)' attributeAt: 'disabled' put: true)
		equals: self function , '("button:gt(1)").attr("disabled",true)'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/15/2008 17:19'!
testAttributes
	self
		assert: (self jQuery @ 'img' attributes: (WASmallDictionary new
			at: 'src' put: '/images/hat.gif';
			at: 'title' put: 'jQuery';
			at: 'alt' put: 'jQuery Logo';
			yourself))
		equals: self function , '("img").attr({src:"/images/hat.gif",title:"jQuery",alt:"jQuery Logo"})'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 17:13'!
testBefore
	self
		assert: (self jQuery @ 'p' before: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").before("<strong>Hello</strong>")'.
	self
		assert: (self jQuery @ 'span' insertBefore: '#foo')
		equals: self function , '("span").insertBefore("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:13'!
testChildren
	self
		assert: ((self jQuery @ 'div') children)
		equals: self function , '("div").children()'.
	self
		assert: (self jQuery @ 'div' children: 'p')
		equals: self function , '("div").children("p")'! !

!JQueryInstanceTest methodsFor: 'testing-copying' stamp: 'lr 10/15/2008 22:18'!
testClone
	self
		assert: ((self jQuery @ 'div') clone)
		equals: self function , '("div").clone()'! !

!JQueryInstanceTest methodsFor: 'testing-copying' stamp: 'lr 10/15/2008 22:18'!
testCloneAll
	self
		assert: ((self jQuery @ 'div') cloneAll)
		equals: self function , '("div").clone(true)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 17:17'!
testCollect
	self
		assert: (self jQuery @ 'div' collect: [ :each | each parent ])
		equals: self function , '("div").map(function(){return ' , self function , '(this).parent()})'.
	self
		assert: (self jQuery @ 'div' collect: [ :each :index | each parents eq: index ])
		equals: self function , '("div").map(function(){return ' , self function , '(this).parents().eq(arguments[0])})'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:18'!
testContents
	self
		assert: ((self jQuery @ 'div') contents)
		equals: self function , '("div").contents()'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 17:14'!
testCopying
	self
		assert: ((self jQuery @ 'p') clone)
		equals: self function , '("p").clone()'.
	self
		assert: ((self jQuery @ 'p') cloneAll)
		equals: self function , '("p").clone(true)'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:20'!
testCss
	self
		assert: (self jQuery @ 'div' css: (Dictionary new
			at: 'border' put: '1px solid red';
			yourself))
		equals: self function , '("div").css({border:"1px solid red"})'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:21'!
testCssAt
	self
		assert: (self jQuery @ '#foo' cssAt: 'border')
		equals: self function , '("#foo").css("border")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:21'!
testCssAtPut
	self
		assert: (self jQuery @ 'p' cssAt: 'border' put: '1px solid red')
		equals: self function , '("p").css("border","1px solid red")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 22:27'!
testEmpty
	self 
		assert: ((self jQuery @ 'div') empty)
		equals: self function , '("div").empty()'.! !

!JQueryInstanceTest methodsFor: 'testing-chaining' stamp: 'lr 10/15/2008 17:06'!
testEnd
	self
		assert: (self jQuery @ 'p' find: 'span'; addClass: 'border'; end; addClass: 'highlight')
		equals: self function , '("p").find("span").addClass("border").end().addClass("highlight")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 17:07'!
testEq
	self
		assert: (self jQuery @ 'div' eq: 4)
		equals: self function , '("div").eq(4)'.
	self
		assert: (self jQuery @ 'div' eq: -1)
		equals: self function , '("div").eq(-1)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 17:08'!
testFilter
	self
		assert: (self jQuery @ 'div' filter: 'p')
		equals: self function , '("div").filter("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:09'!
testFind
	self
		assert: (self jQuery @ 'div' find: ':even')
		equals: self function , '("div").find(":even")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/15/2008 17:07'!
testHasClass
	self
		assert: (self jQuery @ 'p' hasClass: 'selected')
		equals: self function , '("p").hasClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:22'!
testHeight
	self
		assert: ((self jQuery @ 'div') height)
		equals: self function , '("div").height()'.
	self
		assert: ((self jQuery @ 'div') height: 17)
		equals: self function , '("div").height(17)'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/15/2008 17:15'!
testHtml
	self 
		assert: ((self jQuery @ 'div') html)
		equals: self function , '("div").html()'.
	self 
		assert: (self jQuery @ 'div' html: [ :html | html div ])
		equals: self function , '("div").html("<div></div>")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:22'!
testInnerHeight
	self
		assert: ((self jQuery @ 'div') innerHeight)
		equals: self function , '("div").innerHeight()'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:22'!
testInnerWidth
	self
		assert: ((self jQuery @ 'div') innerWidth)
		equals: self function , '("div").innerWidth()'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 17:08'!
testIs
	self
		assert: (self jQuery @ 'div' is: ':odd')
		equals: self function , '("div").is(":odd")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:15'!
testNext
	self
		assert: ((self jQuery @ 'div') next)
		equals: self function , '("div").next()'.
	self
		assert: (self jQuery @ 'div' next: 'p')
		equals: self function , '("div").next("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:15'!
testNextAll
	self
		assert: ((self jQuery @ 'div') nextAll)
		equals: self function , '("div").nextAll()'.
	self
		assert: (self jQuery @ 'div' nextAll: 'p')
		equals: self function , '("div").nextAll("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 17:08'!
testNot
	self
		assert: (self jQuery @ 'div' not: ':even')
		equals: self function , '("div").not(":even")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:23'!
testOffset
	self
		assert: ((self jQuery @ 'div') offset)
		equals: self function , '("div").offset()'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/15/2008 22:32'!
testOnDo
	self
		assert: (self jQuery @ 'a' on: 'click' do: (self javascript alert: 'Clicked'))
		equals: self function , '("a").bind("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/15/2008 22:32'!
testOnOnce
	self
		assert: (self jQuery @ 'a' on: 'click' once: (self javascript alert: 'Clicked'))
		equals: self function , '("a").one("click",function(){alert("Clicked")})'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:23'!
testOuterHeight
	self
		assert: ((self jQuery @ 'div') outerHeight)
		equals: self function , '("div").outerHeight()'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:22'!
testOuterWidth
	self
		assert: ((self jQuery @ 'div') outerWidth)
		equals: self function , '("div").outerWidth()'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:16'!
testParent
	self
		assert: ((self jQuery @ 'div') parent)
		equals: self function , '("div").parent()'.
	self
		assert: (self jQuery @ 'div' parent: 'p')
		equals: self function , '("div").parent("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:16'!
testParents
	self
		assert: ((self jQuery @ 'div') parents)
		equals: self function , '("div").parents()'.
	self
		assert: (self jQuery @ 'div' parents: 'p')
		equals: self function , '("div").parents("p")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:23'!
testPosition
	self
		assert: ((self jQuery @ 'div') position)
		equals: self function , '("div").position()'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 17:13'!
testPrepend
	self
		assert: (self jQuery @ 'p' prepend: [ :html | html strong: 'Hello' ])
		equals: self function , '("p").prepend("<strong>Hello</strong>")'.
	self
		assert: (self jQuery @ 'span' prependTo: '#foo')
		equals: self function , '("span").prependTo("#foo")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:17'!
testPrev
	self
		assert: ((self jQuery @ 'div') prev)
		equals: self function , '("div").prev()'.
	self
		assert: (self jQuery @ 'div' prev: 'p')
		equals: self function , '("div").prev("p")'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:17'!
testPrevAll
	self
		assert: ((self jQuery @ 'div') prevAll)
		equals: self function , '("div").prevAll()'.
	self
		assert: (self jQuery @ 'div' prevAll: 'p')
		equals: self function , '("div").prevAll("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 17:18'!
testReject
	self
		assert: (self jQuery @ 'div' reject: [ :each | each hasClass: 'active' ])
		equals: self function , '("div").filter(function(){return ' , self function , '(this).hasClass("active")})'.
	self
		assert: (self jQuery @ 'div' reject: [ :each :index | (each hasClass: 'active') | index not ])
		equals: self function , '("div").filter(function(){return ' , self function , '(this).hasClass("active")||!!arguments[0]})'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 22:27'!
testRemove
	self 
		assert: ((self jQuery @ 'div') remove)
		equals: self function , '("div").remove()'.
	self 
		assert: ((self jQuery @ 'div') remove: 'p')
		equals: self function , '("div").remove("p")'! !

!JQueryInstanceTest methodsFor: 'testing-attributes' stamp: 'lr 10/15/2008 17:06'!
testRemoveAttribute
	self
		assert: (self jQuery @ 'button' removeAttribute: 'disabled')
		equals: self function , '("button").removeAttr("disabled")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/15/2008 17:07'!
testRemoveClass
	self
		assert: (self jQuery @ 'p:even' removeClass: 'selected')
		equals: self function , '("p:even").removeClass("selected")'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 17:14'!
testReplace
	self
		assert: (self jQuery @ 'p' replaceWith: [ :html | html emphasis: 'Hello' ])
		equals: self function , '("p").replaceWith("<em>Hello</em>")'.
	self
		assert: ((self jQuery html: [ :html | html div: 'Hello' ]) replaceAll: '.foo')
		equals: self function , '("<div>Hello</div>").replaceAll(".foo")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:24'!
testScrollLeft
	self
		assert: ((self jQuery @ 'div') scrollLeft)
		equals: self function , '("div").scrollLeft()'.
	self
		assert: ((self jQuery @ 'div') scrollLeft: 17)
		equals: self function , '("div").scrollLeft(17)'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:24'!
testScrollTop
	self
		assert: ((self jQuery @ 'div') scrollTop)
		equals: self function , '("div").scrollTop()'.
	self
		assert: ((self jQuery @ 'div') scrollTop: 17)
		equals: self function , '("div").scrollTop(17)'! !

!JQueryInstanceTest methodsFor: 'testing-finding' stamp: 'lr 10/15/2008 17:17'!
testSiblings
	self
		assert: ((self jQuery @ 'div') siblings)
		equals: self function , '("div").siblings()'.
	self
		assert: (self jQuery @ 'div' siblings: 'p')
		equals: self function , '("div").siblings("p")'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 22:25'!
testSliceFrom
	self
		assert: (self jQuery @ 'div' sliceFrom: 0)
		equals: self function , '("div").slice(0)'! !

!JQueryInstanceTest methodsFor: 'testing-filtering' stamp: 'lr 10/15/2008 22:25'!
testSliceFromTo
	self
		assert: (self jQuery @ 'div' sliceFrom: 2 to: 5)
		equals: self function , '("div").slice(2,5)'.
	self
		assert: (self jQuery @ 'div' sliceFrom: -1 to: -4)
		equals: self function , '("div").slice(-1,-4)'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/15/2008 17:13'!
testText
	self 
		assert: ((self jQuery @ 'p') text)
		equals: self function , '("p").text()'.
	self 
		assert: (self jQuery @ 'p' text: 'foo')
		equals: self function , '("p").text("foo")'! !

!JQueryInstanceTest methodsFor: 'testing-classes' stamp: 'lr 10/15/2008 17:07'!
testToggleClass
	self
		assert: (self jQuery @ 'p' toggleClass: 'highlight')
		equals: self function , '("p").toggleClass("highlight")'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/15/2008 22:33'!
testTrigger
	self
		assert: (self jQuery @ 'a' trigger: 'click')
		equals: self function , '("a").trigger("click")'! !

!JQueryInstanceTest methodsFor: 'testing-events' stamp: 'lr 10/15/2008 22:33'!
testUnbind
	self
		assert: (self jQuery @ 'a' unbind: 'click')
		equals: self function , '("a").unbind("click")'! !

!JQueryInstanceTest methodsFor: 'testing-manipulating' stamp: 'lr 10/15/2008 17:14'!
testValue
	self 
		assert: ((self jQuery @ 'input') value)
		equals: self function , '("input").value()'.
	self 
		assert: (self jQuery @ 'input' value: 'bar')
		equals: self function , '("input").value("bar")'! !

!JQueryInstanceTest methodsFor: 'testing-css' stamp: 'lr 10/15/2008 22:23'!
testWidth
	self
		assert: ((self jQuery @ 'div') width)
		equals: self function , '("div").width()'.
	self
		assert: ((self jQuery @ 'div') width: 17)
		equals: self function , '("div").width(17)'! !

!JQueryInstanceTest methodsFor: 'testing-modifying' stamp: 'lr 10/15/2008 17:13'!
testWrap
	self
		assert: (self jQuery @ 'p' wrap: [ :html | html strong ])
		equals: self function , '("p").wrap("<strong></strong>")'.
	self
		assert: (self jQuery @ 'p' wrapAll: [ :html | html div ])
		equals: self function , '("p").wrapAll("<div></div>")'.
	self
		assert: (self jQuery @ 'p' wrapInner: [ :html | html span ])
		equals: self function , '("p").wrapInner("<span></span>")'! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 16:51'!
function
	^ JQuery functionName! !

!JQueryTest methodsFor: 'accessing' stamp: 'lr 10/15/2008 16:47'!
jQuery
	^ JQueryClass on: self canvas! !

WAComponent subclass: #JQAllTests
	instanceVariableNames: 'children'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQAllTests class methodsFor: 'initialization' stamp: 'lr 10/14/2008 22:23'!
canBeRoot
	^ true! !

!JQAllTests class methodsFor: 'accessing' stamp: 'lr 10/14/2008 22:23'!
description
	^ 'Functional jQuery Test Suite'! !

!JQAllTests class methodsFor: 'initialization' stamp: 'lr 10/14/2008 22:23'!
initialize
	(self registerAsApplication: 'tests/jquery')
		addLibrary: JQProductionLibrary! !

!JQAllTests methodsFor: 'as yet unclassified' stamp: 'lr 10/14/2008 22:29'!
children
	^ children! !

!JQAllTests methodsFor: 'as yet unclassified' stamp: 'lr 10/14/2008 22:29'!
initialize
	super initialize.
	children := JQFunctionalTest allSubclasses collect: [ :each | each new ]! !

!JQAllTests methodsFor: 'as yet unclassified' stamp: 'lr 10/14/2008 22:29'!
renderContentOn: html
	self children
		do: [ :each | html render: each ]
		separatedBy: [ html horizontalRule ]! !

WAComponent subclass: #JQFunctionalTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

JQFunctionalTest subclass: #JQCounterTest
	instanceVariableNames: 'count'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQCounterTest methodsFor: 'as yet unclassified' stamp: 'lr 10/14/2008 22:26'!
initialize
	super initialize.
	count := 0! !

!JQCounterTest methodsFor: 'as yet unclassified' stamp: 'lr 10/15/2008 22:35'!
renderContentOn: html
	html anchor
		onClick: ((html jQuery @ #count) load
			html: [ :r | r render: (count := count - 1) ]);
		with: '--'.
	html anchor
		onClick: ((html jQuery @ #count) load
			html: [ :r | r render: (count := count + 1) ]);
		with: '++'.
	html div
		id: 'count';
		with: count! !

JQFunctionalTest subclass: #JQUpdaterTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQuery-Tests-Core-Functional'!

!JQUpdaterTest methodsFor: 'as yet unclassified' stamp: 'lr 10/15/2008 23:01'!
renderContentOn: html
	html code id: #log.
	
	" clears the log whenever a link is clicked "
	self session addLoadScript: ((html jQuery @ 'a')
		onMouseDown: ((html jQuery @ #log)
			empty)).

	" in case of an ajax event update the log "
	#(onAjaxComplete: onAjaxError: onAjaxSend: onAjaxStart: onAjaxStop: onAjaxSuccess:) do: [ :each |
		self session addLoadScript: (html jQuery @ #log 
			perform: each with: (html jQuery @ #log 
				append: each allButLast , ' ')) ]! !
JQAllTests initialize!
